Get a preview of an estimate template

http
GET https://services.leadconnectorhq.com/invoices/estimate/template/preview

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes
templateIdstringYes5f9d6d8b1b2d2c001f2d9e4bTemplate Id

Responses

200 - Successful response
  • altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c

  • altType (string, required): Possible values: 'account'

  • _id (string, required): Unique identifier Example: 67ac9a51106ee8311e911XXXX

  • liveMode (boolean, required): Indicates if it is in live mode Example: True

  • deleted (boolean, required): Indicates if deleted Example: False

  • name (string, required): Name Example: Estimate Name

  • currency (string, required): Currency code Example: USD

  • businessDetails (object, required): Business details associated with the estimate

  • items (array[], required): An array of items

  • discount (object, required): Discount details for the estimate template

  • title (string): Title Example: ESTIMATE

  • estimateNumberPrefix (string): Estimate number prefix Example: EST-

  • attachments (object[]): Attachments

    • id (string, required): Id of the file selected Example: 6241712be68f7a98102ba272

    • name (string, required): Name of the file Example: Electronics.pdf

    • url (string, required): URL of the file Example: https://example.com/digital-delivery

    • type (string, required): Type of the file

    • size (number, required): Size of the file Example: 10000

  • updatedBy (string): User Id of who last updated Example: 3HIpOF9NIc5ltriQXXXX

  • total (number, required): Total amount Example: 1222.03

  • createdAt (string, required): Timestamp when created Example: 2025-02-12T13:17:47.416Z

  • updatedAt (string, required): Timestamp when last updated Example: 2025-02-12T13:17:47.416Z

  • __v (number, required): Version number Example: 0

  • automaticTaxesEnabled (boolean, required): Indicates if automatic taxes are enabled for this estimate Example: False

  • termsNotes (string): Terms and conditions for the estimate, supports HTML markup Example: <p>All services are subject to availability.</p>

json
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "_id": "67ac9a51106ee8311e911XXXX",
  "liveMode": true,
  "deleted": false,
  "name": "Estimate Name",
  "currency": "USD",
  "businessDetails": {
    "logoUrl": "your_image-url",
    "name": "Business name",
    "address": {
      "addressLine1": "address line 1",
      "city": "Test City",
      "state": "State Name",
      "countryCode": "US",
      "postalCode": "12345"
    },
    "phoneNo": "+1 1234567890",
    "website": "www.example.com",
    "customValues": [
      {
        "name": "Test",
        "fieldKey": "{{custom_values.test}}",
        "id": "5DYTWoiQvWiIJZXX44XXX",
        "value": "Test's Custom Value"
      }
    ]
  },
  "items": [
    {
      "taxes": [],
      "taxInclusive": false,
      "_id": "67ac9a51106ee8311e911XXXX",
      "description": "<p>Futuristic anti-gravity racing</p>",
      "currency": "USD",
      "productId": "67ac9a51106ee8311e911XXXX",
      "priceId": "67ac9a51106ee8311e911XXXX",
      "amount": 9.99,
  // truncado: 48 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/invoices/estimate/template/preview' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?